net.dontdrinkandroot.visualization.layout.graph

## Class ForceCircularLayout<V,E>

- java.lang.Object
- - net.dontdrinkandroot.visualization.layout.AbstractLayout<edu.uci.ics.jung.graph.Graph<V,E>>
  - - net.dontdrinkandroot.visualization.layout.graph.AbstractCircularLayout<V,E>
    - - net.dontdrinkandroot.visualization.layout.graph.ForceCircularLayout<V,E>

All Implemented Interfaces:
  Layout<edu.uci.ics.jung.graph.Graph<V,E>>

    public class ForceCircularLayout<V,E>
    extends AbstractCircularLayout<V,E>

### Field Summary

### Fields inherited from class net.dontdrinkandroot.visualization.layout.graph.AbstractCircularLayout

`edgeMap, edgeRouter, g, itemTransformer, logger, offset, vertexMap`

### Fields inherited from class net.dontdrinkandroot.visualization.layout.AbstractLayout

`desiredBounds, layouted`

### Constructor Summary

Constructors
Constructor and Description
`ForceCircularLayout(edu.uci.ics.jung.graph.Graph<V,E> g, org.apache.commons.collections15.Transformer<V,VisualItem> itemTransformer)`

### Method Summary

Methods
`protected List<V>` `doLayout()`

### Methods inherited from class net.dontdrinkandroot.visualization.layout.graph.AbstractCircularLayout

`before, crosses, doForcePlacement, doForcePlacementRound, doInitialPlacement, doRandomPlacement, getCrossingChange, getEdgeRouter, getNumCrossings, getNumCrossings, getNumCrossings, getOffset, getPositionList, getSortedPositionList, layout, modulo, render, setOffset`

### Methods inherited from class net.dontdrinkandroot.visualization.layout.AbstractLayout

`getBounds, isLayouted, setlayouted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForceCircularLayout

    public ForceCircularLayout(edu.uci.ics.jung.graph.Graph<V,E> g,
                       org.apache.commons.collections15.Transformer<V,VisualItem> itemTransformer)

### Method Detail

#### doLayout

    protected List<V> doLayout()

Specified by:
  `doLayout` in class `AbstractCircularLayout<V,E>`